# decode | xrpl
Documentation for xrpl

# Function decode

- decode(hex: string): Record<string, unknown>

- Decodes a hex string into a transaction | ledger entry

  ### Returns

  The hex string decoded according to XRPL serialization format.

  #### Parameters

  - ##### hex: string

    hex string in the XRPL serialization format.

  #### Returns Record<string, unknown>

  - Defined in packages/xrpl/src/utils/index.ts:126

Generated using TypeDoc